#!/bin/sh

# This tool set the default timeout of systemd to avoid waiting a long time

systemd_conf="/etc/systemd/system.conf"
new_timeout="9s"

if grep -q "^DefaultTimeoutStartSec=" $systemd_conf; then
    sed -i "s,DefaultTimeoutStartSec=.*,DefaultTimeoutStartSec=$new_timeout,g" $systemd_conf
elif grep -q "^#DefaultTimeoutStartSec=" $systemd_conf; then
    sed -i "s,^#DefaultTimeoutStartSec=.*,DefaultTimeoutStartSec=$new_timeout,g" $systemd_conf
else
    echo "DefaultTimeoutStartSec=$new_timeout" >> $systemd_conf
fi

if grep -q "^DefaultTimeoutStopSec=" $systemd_conf; then
    sed -i "s,DefaultTimeoutStopSec=.*,DefaultTimeoutStopSec=$new_timeout,g" $systemd_conf
elif grep -q "^#DefaultTimeoutStopSec=" $systemd_conf; then
    sed -i "s,^#DefaultTimeoutStopSec=.*,DefaultTimeoutStopSec=$new_timeout,g" $systemd_conf
else
    echo "DefaultTimeoutStopSec=$new_timeout" >> $systemd_conf
fi

exit 0
