#!/bin/bash

if [ $(dpkg --print-architecture) != 'amd64' ]; then
    exit 0
fi

LOCKFILE=$(basename ${0%%.sh}).done
if [ -e /var/lib/redflag-dove/$LOCKFILE ]; then
    exit 0
fi

mkdir -p $LOGDIR
mkdir -p /var/lib/redflag-dove

results=0

#if false; then
#        "cups=$(cat $packages_list | grep /cups_ | cut -d "_" -f2 | head -n1)" \
#        "cups-bsd=$(cat $packages_list | grep /cups-bsd_ | cut -d "_" -f2 | head -n1)" \
#        "cups-client=$(cat $packages_list | grep /cups-client_ | cut -d "_" -f2 | head -n1)" \
#        "cups-common=$(cat $packages_list | grep /cups-common_ | cut -d "_" -f2 | head -n1)" \
#        "cups-core-drivers=$(cat $packages_list | grep /cups-core-drivers_ | cut -d "_" -f2 | head -n1)" \
#        "cups-daemon=$(cat $packages_list | grep /cups-daemon_ | cut -d "_" -f2 | head -n1)" \
#        "cups-ipp-utils=$(cat $packages_list | grep /cups-ipp-utils_ | cut -d "_" -f2 | head -n1)" \
#        "cups-ppdc=$(cat $packages_list | grep /cups-ppdc_ | cut -d "_" -f2 | head -n1)" \
#        "cups-server-common=$(cat $packages_list | grep /cups-server-common_ | cut -d "_" -f2 | head -n1)" \
#        "libcups2=$(cat $packages_list | grep /libcups2_ | cut -d "_" -f2 | head -n1)" \
#        "libcupsimage2=$(cat $packages_list | grep /libcupsimage2_ | cut -d "_" -f2 | head -n1)" \
#
#fi

# librsvg2-2:i386 conflicts with librsvg2-2:amd64
apt-get remove -y librsvg2-2:i386 || :

packages_list='/var/lib/apt/lists/apt.chinaredflag.cn_dists_kunlun_main_binary-amd64_Packages'
if [ -f "$packages_list" ]; then
    DEBIAN_FRONTEND=noninteractive apt-get install --allow-downgrades --yes \
        -o Dpkg::Options::="--force-confdef" -o Dpkg::Options::="--force-confold" \
        "grub2-common=$(cat $packages_list | grep /grub2-common_ | cut -d "_" -f2 | head -n1)" \
        "grub-common=$(cat $packages_list | grep /grub-common_ | cut -d "_" -f2 | head -n1)" \
        "librsvg2-2=$(cat $packages_list | grep /librsvg2-2_ | cut -d "_" -f2 | head -n1)" \
        "librsvg2-common=$(cat $packages_list | grep /librsvg2-common_ | cut -d "_" -f2 | head -n1)" \
        "libpam-systemd=$(cat $packages_list | grep /libpam-systemd_ | cut -d "_" -f2 | head -n1)" \
        "libsystemd0=$(cat $packages_list | grep /libsystemd0_ | cut -d "_" -f2 | head -n1)" \
        "systemd=$(cat $packages_list | grep /systemd_ | cut -d "_" -f2 | head -n1)" \
        "systemd-sysv=$(cat $packages_list | grep /systemd-sysv_ | cut -d "_" -f2 | head -n1)" \
        "libudev1=$(cat $packages_list | grep /libudev1_ | cut -d "_" -f2 | head -n1)" \
        "udev=$(cat $packages_list | grep /udev_ | cut -d "_" -f2 | head -n1)"
    results=$((results+$?))
fi

if [ -d /sys/firmware/efi/efivars/ ]; then
    DEBIAN_FRONTEND=noninteractive apt-get install --allow-downgrades --yes \
        -o Dpkg::Options::="--force-confdef" -o Dpkg::Options::="--force-confold" \
        "grub-efi-amd64=$(cat $packages_list | grep /grub-efi-amd64_ | cut -d "_" -f2 | head -n1)" \
        "grub-efi-amd64-bin=$(cat $packages_list | grep /grub-efi-amd64-bin_ | cut -d "_" -f2 | head -n1)"
else
    DEBIAN_FRONTEND=noninteractive apt-get install --allow-downgrades --yes \
        -o Dpkg::Options::="--force-confdef" -o Dpkg::Options::="--force-confold" \
        "grub-pc=$(cat $packages_list | grep /grub-pc_ | cut -d "_" -f2 | head -n1)" \
        "grub-pc-bin=$(cat $packages_list | grep /grub-pc-bin_ | cut -d "_" -f2 | head -n1)"
fi
results=$((results+$?))

if [ "$results" != "0" ]; then
    echo 'Installation failed'
    exit 1
else
    echo 'Installation succeed'
    touch /var/lib/redflag-dove/$LOCKFILE
    exit 0
fi
