#!/bin/bash

APPS="
    cups-addons
    redflag-browser
    redflag-themes"

KERNEL="
    linux-kbuild-4.19
    linux-libc-dev"

if [ $(dpkg --print-architecture) = 'amd64' ]; then
    KERNEL+="
        linux-compiler-gcc-8-x86
        linux-headers-4.19.0-16-amd64
        linux-image-4.19.0-16-redflag-amd64
        "
fi

ALL_PKGS=""

# check app exists or not in apt source
for loop in $APPS $KERNEL;
do
    apt show $loop && ALL_PKGS+=" $loop"
done

result=0

if [ -n "$ALL_PKGS" ]; then
    DEBIAN_FRONTEND=noninteractive apt-get install -y $ALL_PKGS
    result=$?
fi

exit $result
